Part Hélice

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Part Helix and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎čeština • ‎русский
Arrow-left.svg Page précédente : Part Wedge.svg Pyramide tronquée
Page suivante : Spirale Part Spiral.svg Arrow-right.svg

Part Helix.svg Part Hélice

Emplacement du menu
Part → Créer des primitives... → Hélice
Ateliers
Part, OpenSCAD
Raccourci par défaut
Aucun
Introduit dans la version
-
Voir aussi
Part Primitives

Description

Une Part Helix.svg Part Hélice est une forme paramétrique qui peut être créée avec la commande Part Primitives.svg Part Primitives. Dans le système de coordonnées défini par sa propriété DonnéesPlacement, l'axe de l'hélice correspond à l'axe des Z et son point inférieur, le point de départ, se trouve sur l'axe des X.

Part Helix Example.png

Utilisation

Voir Part Primitives.

Exemple

Part Hélice à partir de l'exemple du script

Un objet Part Hélice créé avec l'exemple du script ci-dessous.

Remarques

Propriétés

Voir aussi : Éditeur de propriétés

Un objet Part Hélice est dérivé d'un Part Feature et hérite de toutes ses propriétés. Il possède également les propriétés supplémentaires suivantes :

Données

Attachment

L'objet a les mêmes propriétés d'attachement qu'un Part Part2DObject.

Coordinate System

  • DonnéesLocal Coord (Enumeration) : La chiralité, ou direction, de l'hélice : Right-handed ou Left-handed. La valeur par défaut est Right-handed, ce qui signifie que l'hélice tourne dans le sens inverse des aiguilles d'une montre en montant.

Helix

  • DonnéesPitch (Length) : La distance entre deux tours consécutifs de l'hélice, mesurée le long de son axe Z. La valeur par défaut est 1mm.
  • DonnéesHeight (Length) : La hauteur de l'hélice. La valeur par défaut est 2mm.
  • DonnéesRadius (Length) : Le rayon de départ de l'hélice. L'hélice a un rayon constant si DonnéesAngle est .
  • DonnéesSegment Length (QuantityConstraint) : Le nombre de tours par subdivision de l'hélice. La valeur par défaut est 1, ce qui signifie que chaque tour complet de l'hélice est un segment séparé. Utilisez 0 pour supprimer la subdivision.
  • DonnéesAngle (Angle) : L'angle qui définit la forme extérieure de l'hélice. Plage valide : -90° < value < 90°. La valeur par défaut est . Si la valeur est , l'hélice est cylindrique, sinon elle est conique.

Script

Voir aussi: Autogenerated API documentation, Part Ecrire un script et Débuter avec les scripts FreeCAD.

Une Part Hélice est créée avec la méthode addObject() du document :

helix = FreeCAD.ActiveDocument.addObject("Part::Helix", "myHelix")
  • "myHelix" est le nom de l'objet.
  • La fonction restitue l'objet nouvellement créé.

Exemple :

import FreeCAD as App

doc = App.activeDocument()

helix = doc.addObject("Part::Helix", "myHelix")
helix.Pitch = 2
helix.Height = 3
helix.Radius = 4
helix.SegmentLength = 21
helix.Angle = 45
helix.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(75, 60, 30))

doc.recompute()


Arrow-left.svg Page précédente : Part Wedge.svg Pyramide tronquée
Page suivante : Spirale Part Spiral.svg Arrow-right.svg